Appearance
Update Project
Update an existing project instance. Requires the PROJECT_MANAGEMENT feature flag and ADMIN or MANAGE_PROJECTS permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
projectInstanceId* | string | The unique identifier of the project instance to update |
body.name | string | Updated display name |
body.fields | object | Updated field values |
body.startDate | string | Updated start date (ISO 8601) |
body.endDate | string | Updated end date (ISO 8601) |
Return Value
The updated project instance.
Examples
bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/project/:projectInstanceId" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Updated Project Name"}'ENDPOINTS
put
/api/{targetPath}/project/:projectInstanceId